Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cnrg.itx.signal.SignalEvent
Class DialSignalEvent

    java.lang.Object
      |
      +--cnrg.itx.signal.SignalEvent.SignalEvent
            |
            +--cnrg.itx.signal.SignalEvent.DialSignalEvent

public class DialSignalEvent
extends SignalEvent

This class represents an event generated during the Dial Sequence in the non-blocking dial().

Field Summary
`Location` | `myCurrentPeer` Location object of peer application

Constructor Summary
`DialSignalEvent(InvitePacket ip, SignalConnection sc, Location cp)` Default Constructor

Method Summary
`Location` | `getCurrentPeer()`
`java.lang.String` | `getReason()`
`void` | `setCurrentPeer(Location cp)` Sets the location of the peer application

Methods inherited from class cnrg.itx.signal.SignalEvent.SignalEvent
`getDescription, getDesktopSignaling, getInvitePacket, getSenderID, getSenderLoc, getSignalConnection, setDesktopSignaling, setSignalConnection`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### myCurrentPeer

    public Location myCurrentPeer

  Location object of peer application

Constructor Detail

### DialSignalEvent

    public DialSignalEvent(InvitePacket ip,
                           SignalConnection sc,
                           Location cp)

  Default Constructor
  Parameters:
    `ip` - is the InvitePacket received
    `sc` - is the SignalConnection in use
    `cp` - is the location object of the current peer application

Method Detail

### setCurrentPeer

    public void setCurrentPeer(Location cp)

  Sets the location of the peer application
  Parameters:
    `cp` - is the location object of the current peer application
  Returns:
    void.

### getCurrentPeer

    public Location getCurrentPeer()

  Returns:
    the location object for the current peer.

### getReason

    public java.lang.String getReason()

  Returns:
    the reason the peer application rejected the call.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD